Retrieve a Project MCP Server
get
/ic/api/integration/v1/projects/{projectId}/mcp/servers/{id}
Retrieves an MCP server configured for a project.
Request
Path Parameters
-
id(required): string
MCP server code. The default backend version is 01.00.0000.Example:
MCP_SERVER -
projectId(required): string
Project identifierExample:
MCP_PROJECT
Query Parameters
-
expand: string
Set to adapter to include adapter details. The value is case-insensitive; unsupported expansion values are rejected.Example:
adapter -
integrationInstance(required): string
This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.Example:
example-instance
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/vnd.oracle.model+json;type=singular
- application/json; charset=utf-8
200 Response
Successful operation
Root Schema : MCPServerRs
Type:
objectProject MCP server resource. Same as ConnectionRs with the MCP spec payload.
Show Source
-
adapter:
adapter
Adapter identity and capabilities.
-
adapterType:
adapterType
Adapter identity and type.
-
adminEmail: string
Administrator's Email
-
agentGroupId: string
Agent Group Identifier
-
agentRequired: boolean
Agent Required
-
agentSupported: boolean
Agent Supported
-
connectionProperties: array
connectionProperties
List of Connection Properties
-
created: string
(date-time)
Created
-
createdBy: string
Created By
-
description: string
Description
-
hasOverride: boolean
hasOverride the Connection
-
id: string
Resource identifier.
-
keywords: string
Keywords
-
lastRefreshedDate: string
(date-time)
Last Refresh Date
-
lastUpdated: string
(date-time)
Last Updated
-
lastUpdatedBy: string
Last Updated By
-
links: array
links
Links to related resources.
-
lockedBy: string
Locked By
-
lockedDate: string
(date-time)
Locked Date
-
lockedFlag: boolean
Locked Flag
-
metadataDownloadState: string
Metadata Download State
-
metadataDownloadSupportedFlag: boolean
Metadata Download Supported Flag
-
name: string
Connection Name
-
overrideProperties:
overrideProperties
Override Properties.
-
percentageComplete: number
Connection Completion Percentage
-
privateEndpoint: boolean
Private EndPoint
-
privateEndpointSupported: boolean
Private Endpoint Supported
-
processingTime: number
(float)
Server-reported processing time.
-
projectId: string
Project identifier.
-
projectName: string
Project display name.
-
refreshedStatus: string
Refreshed Status
-
role: string
Allowed Values:
[ "SOURCE", "TARGET", "SOURCE_AND_TARGET" ]Adapter Integration Role -
scope: string
Scope of the Connection
-
securityPolicy: string
Security Policy
-
securityPolicyInfo: array
securityPolicyInfo
List of Security Policies
-
securityProperties: array
securityProperties
List of Security Properties
- sharedFlag: boolean
-
spec:
Stored MCP server metadata as a JSON value. On update, nonblank string values must contain valid JSON and are parsed before storage. Empty or null values are treated as no supplied metadata.
-
status: string
Connection Status
-
testStatus: boolean
Test Status
-
testWarnings: string
Test Warning
-
usage: integer
(int32)
Usage
-
usageActive: integer
(int32)
Active Usage
-
wsdlListDir: array
wsdlListDir
List of WSDL
Nested Schema : adapter
Adapter identity and capabilities.
Match All
Adapter identity and capabilities.
Show Source
-
object
MCP2610_AdapterTypeRs
Adapter
Nested Schema : adapterType
Adapter identity and type.
Match All
Adapter identity and type.
Show Source
-
object
MCP2610_AdapterTypeBaseRs
Adapter identity and display metadata.
Nested Schema : connectionProperties
Type:
arrayList of Connection Properties
Show Source
-
Array of:
object MCP2610_ConnectionPropertyRs
A connection or security property, including its value, validation metadata, and optional attachment.
Nested Schema : links
Type:
arrayLinks to related resources.
Show Source
-
Array of:
object MCP2610_Link
A link to a related REST resource.
Nested Schema : overrideProperties
Override Properties.
Match All
Override Properties.
Show Source
-
object
OverridePropertiesRs
Project-specific connection override metadata.
Nested Schema : securityPolicyInfo
Type:
arrayList of Security Policies
Show Source
-
Array of:
object MCP2610_SecurityPolicyInfoRs
Connection authentication policy and its security properties.
Nested Schema : securityProperties
Type:
arrayList of Security Properties
Show Source
-
Array of:
object MCP2610_ConnectionPropertyRs
A connection or security property, including its value, validation metadata, and optional attachment.
Nested Schema : MCP2610_AdapterTypeRs
Type:
objectAdapter
Show Source
-
allowedDomains: array
allowedDomains
Allowed Domains.
-
customSecurityPolicyDescription: string
Custom Security Policy Description.
-
defaultSecurityPolicies: string
Default Security Policies.
-
description: string
Resource description.
-
displayName: string
Display Name.
-
features: string
Features.
-
genericAuthSupport: array
genericAuthSupport
Generic Auth Support.
-
icons:
icons
Adapter icon URLs.
-
id: string
Resource identifier.
-
infoMessage: string
Info Message.
-
integrationRole: string
Allowed Values:
[ "SOURCE", "TARGET", "SOURCE_AND_TARGET" ]Integration Role. -
links: array
links
Links to related resources.
-
name: string
Resource display name.
-
oauth3LeggedSupport: array
oauth3LeggedSupport
Oauth3 Legged Support.
-
otherVersions: string
Other Versions.
-
supportedSecurityPolicies: string
Supported Security Policies.
-
testKey: string
Test Key.
-
testMessage: string
Test Message.
-
type: string
Type.
-
validateAndTestKey: string
Validate And Test Key.
-
validateAndTestMessage: string
Validate And Test Message.
-
vendorInfo:
vendorInfo
Adapter vendor information.
-
version: string
Resource version.
-
wsdlvalidation: boolean
Wsdlvalidation.
Nested Schema : genericAuthSupport
Type:
arrayGeneric Auth Support.
Show Source
-
Array of:
string
Authentication policy identifier provided by the adapter.
Nested Schema : icons
Adapter icon URLs.
Match All
Adapter icon URLs.
Show Source
-
object
MCP2610_AdapterIconsRs
Icon URLs associated with an adapter.
Nested Schema : links
Type:
arrayLinks to related resources.
Show Source
-
Array of:
object MCP2610_SuiteLink
A link to a related REST resource, including its HTTP method when supplied.
Nested Schema : oauth3LeggedSupport
Type:
arrayOauth3 Legged Support.
Show Source
-
Array of:
string
Authentication policy identifier provided by the adapter.
Nested Schema : vendorInfo
Adapter vendor information.
Match All
Adapter vendor information.
Show Source
-
object
MCP2610_AdapterVendorInfo
Vendor and documentation details for an adapter.
Nested Schema : MCP2610_AdapterIconsRs
Type:
objectIcon URLs associated with an adapter.
Show Source
-
largeIconUrl: string
Large Icon Url.
-
mediumGrayIconUrl: string
Medium Gray Icon Url.
-
mediumIconUrl: string
Medium Icon Url.
-
mediumWhiteIconUrl: string
Medium White Icon Url.
-
smallIconUrl: string
Small Icon Url.
Nested Schema : MCP2610_SuiteLink
Type:
objectA link to a related REST resource, including its HTTP method when supplied.
Show Source
-
href: string
URL of the linked resource.
-
mediaType: string
Media type of the linked resource.
-
method: string
HTTP method for the link.
-
rel: string
Relationship of the linked resource.
Nested Schema : MCP2610_AdapterVendorInfo
Type:
objectVendor and documentation details for an adapter.
Show Source
-
contactUS: string
Contact US.
-
description: string
Resource description.
-
documentationURL: string
Documentation URL.
-
name: string
Resource display name.
-
releaseNotes: string
Release Notes.
-
supportURL: string
Support URL.
Nested Schema : MCP2610_AdapterTypeBaseRs
Type:
objectAdapter identity and display metadata.
Show Source
-
displayName: string
Display Name.
-
id: string
Resource identifier.
-
links: array
links
Links to related resources.
-
name: string
Resource display name.
-
type: string
Type.
Nested Schema : links
Type:
arrayLinks to related resources.
Show Source
-
Array of:
object MCP2610_SuiteLink
A link to a related REST resource, including its HTTP method when supplied.
Nested Schema : MCP2610_ConnectionPropertyRs
Type:
objectA connection or security property, including its value, validation metadata, and optional attachment.
Show Source
-
acceptableKeys: array
acceptableKeys
Permitted values for the adapter property.
-
attachment:
attachment
Attachment associated with this connection property.
-
defaultPropertyValue: string
Default Property Value.
-
displayName: string
Display Name.
-
hasAttachment: boolean
Has Attachment.
- hiddenFlag: boolean
-
integrationRole: string
Allowed Values:
[ "SOURCE", "TARGET", "SOURCE_AND_TARGET" ]Integration Role. -
propertyDescription: string
Property Description.
-
propertyGroup: string
Allowed Values:
[ "CREDENTIALS", "SOURCE_ARTIFACTS", "CONNECTION_PROPS", "CUSTOM", "OTHER" ]Property Group. -
propertyName: string
Property Name.
-
propertyShortDesc: string
Property Short Desc.
-
propertyType: string
Allowed Values:
[ "STRING", "NUMBER", "URL", "WSDL_URL", "XSD_URL", "WADL_URL", "FILE", "PASSWORD", "URL_OR_FILE", "LIST", "MAP", "TEXT", "CHOICE", "BOOLEAN", "ARTIFACT_URL", "LIST_OF_MAPS", "CONCRETE_WSDL" ]Property Type. -
propertyValue: string
Property Value.
-
requiredFlag: boolean
Required Flag.
Nested Schema : acceptableKeys
Type:
arrayPermitted values for the adapter property.
Show Source
-
Array of:
object MCP2610_AdapterKey
An acceptable adapter property value and its integration-role scope.
Nested Schema : attachment
Attachment associated with this connection property.
Match All
Attachment associated with this connection property.
Show Source
-
object
MCP2610_ConnectionAttachmentRs
Connection attachment and the property to which it belongs.
Nested Schema : MCP2610_AdapterKey
Type:
objectAn acceptable adapter property value and its integration-role scope.
Show Source
-
displayName: string
Display Name.
-
keyName: string
Key Name.
-
scope: string
Allowed Values:
[ "SOURCE", "TARGET", "SOURCE_AND_TARGET" ]Integration-role scope.
Nested Schema : MCP2610_ConnectionAttachmentRs
Type:
objectConnection attachment and the property to which it belongs.
Show Source
-
attachment:
attachment
Attachment associated with this connection property.
-
attachmentName: string
Attachment Name.
-
propertyName: string
Property Name.
-
signature: string
Signature.
Nested Schema : attachment
Attachment associated with this connection property.
Match All
Attachment associated with this connection property.
Show Source
-
object
MCP2610_BaseAttachmentRs
Attachment metadata and content associated with a connection property.
Nested Schema : MCP2610_BaseAttachmentRs
Type:
objectAttachment metadata and content associated with a connection property.
Show Source
-
attachmentName: string
Attachment Name.
-
content: string
Content.
-
localFilePath: string
Local File Path.
-
propertyName: string
Property Name.
-
signature: string
Signature.
Nested Schema : MCP2610_Link
Type:
objectA link to a related REST resource.
Show Source
-
href: string
URL of the linked resource.
-
mediaType: string
Media type of the linked resource.
-
rel: string
Relationship of the linked resource.
Nested Schema : OverridePropertiesRs
Type:
objectProject-specific connection override metadata.
Show Source
-
code: string
Resource code.
-
name: string
Resource display name.
-
projectCode: string
Project Code.
-
status: string
Current resource state.
Nested Schema : MCP2610_SecurityPolicyInfoRs
Type:
objectConnection authentication policy and its security properties.
Show Source
-
scope: string
Allowed Values:
[ "SOURCE", "TARGET", "SOURCE_AND_TARGET" ]Integration-role scope. -
securityPolicy: string
Security Policy.
-
securityProperties: array
securityProperties
Security Properties.
Nested Schema : securityProperties
Type:
arraySecurity Properties.
Show Source
-
Array of:
object MCP2610_ConnectionPropertyRs
A connection or security property, including its value, validation metadata, and optional attachment.
400 Response
Malformed parameters or invalid request
401 Response
Unauthorized or insufficient design-time permissions
404 Response
Project or resource not found, or the MCP feature is not available
500 Response
Server error
Examples
The following example shows how to retrieve an MCP server configured for a project by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.
Example: Retrieve a Project MCP Server
curl --request GET --include \
--url "${BASE_URL}/ic/api/integration/v1/projects/${PROJECT_ID}/mcp/servers/${SERVER_ID}?integrationInstance=${INTEGRATION_INSTANCE}" \
--header "Authorization: Bearer ${ACCESS_TOKEN}" \
--header "Accept: application/json"